%global oname Rtree

Name:           python-Rtree
Version:        0.7.0
Release:        7%{?dist}
Summary:        Python wrapper of the spatialindex library

Group:          Development/Libraries
License:        LGPLv2
# License clarified with Howard Butler; he'll explicitly state it in the next release after 0.7.0
URL:            http://toblerity.github.com/rtree
Source0:        http://pypi.python.org/packages/source/R/%{oname}/%{oname}-%{version}.tar.gz

# Remove hard-coded library extension (BZ#1001840)
# TODO: Upstream
Patch0:         %{name}-0.7.0-find_library.patch

BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  spatialindex-devel

Requires:       spatialindex

BuildArch:      noarch

%description
Rtree is a ctypes Python wrapper of the spatialindex library, that
provides a number of advanced spatial indexing features for the 
spatially curious Python user. These features include:

-Nearest neighbor search
-Intersection search
-Multi-dimensional indexes
-Clustered indexes (store Python pickles directly with index entries)
-Bulk loading
-Deletion
-Disk serialization
-Custom storage implementation
 (to implement spatial indexing in ZODB, for example)


%prep
%setup -q -n %{oname}-%{version}
%patch0 -p1

sed -i 's|include-dirs =.*|include-dirs = %{_includedir}/spatialindex|;s|library-dirs =.*|library-dirs = %{_libdir}|' setup.cfg

# Remove pre-built egg info
rm -rf %{oname}.egg-info


%build
%{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root %{buildroot}


%check
# One test fails due to expecting int and getting long int
#TODO: Solve that
%{__python} setup.py test || :


%files
#TODO: Consider to include further documentation (BR Sphinx)
%doc docs/source/README.txt
%{python_sitelib}/rtree
%{python_sitelib}/%{oname}-%{version}-py*.egg-info

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Feb 08 2014 Volker Fröhlich <volker27@gmx.at> - 0.7.0-5
- Remove hard-coded library extension (BZ#1001840)
- Ignore harmless test failure to fix FTBFS
- Remove obsolete version requirements

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Oct 12 2012 Volker Fröhlich <volker27@gmx.at> - 0.7.0-2
- BR python-setuptools instead of ...-devel
- Delete pre-built egg info

* Sat Apr 14 2012 Volker Fröhlich <volker27@gmx.at> - 0.7.0-1
- Initial package for Fedora
